vich_uploader:
    db_driver: orm
#declarar  @Vich\Uploadable encima de la clase    
    mappings:
        client_icon:
            uri_prefix:         /images/clients
            upload_destination: '%kernel.project_dir%/public/images/clients'
            
            inject_on_load:     false
            delete_on_update:   false
            delete_on_remove:   false

        trinder_image:
            uri_prefix:         /images/trinder
            upload_destination: '%kernel.project_dir%/public/images/trinder'
            
            inject_on_load:     false
            delete_on_update:   false
            delete_on_remove:   false

        category_image:
            uri_prefix:         /images/category
            upload_destination: '%kernel.project_dir%/public/images/category'
            
            inject_on_load:     false
            delete_on_update:   false
            delete_on_remove:   false

        question_image:
            uri_prefix:         /images/question
            upload_destination: '%kernel.project_dir%/public/images/question'
            
            inject_on_load:     false
            delete_on_update:   false
            delete_on_remove:   false

        user_image:
            uri_prefix:         /images/users
            upload_destination: '%kernel.project_dir%/public/images/users'
            
            inject_on_load:     false
            delete_on_update:   false
            delete_on_remove:   false

        documents_competition:
            uri_prefix:         /documents
            upload_destination: '%kernel.project_dir%/public/documents'
            
            inject_on_load:     false
            delete_on_update:   false
            delete_on_remove:   false

        document_thumbnail:
            uri_prefix:         /documents/thumbnails
            upload_destination: '%kernel.project_dir%/public/documents/thumbnails'
            
            inject_on_load:     false
            delete_on_update:   false
            delete_on_remove:   false

        badge_icon:
            uri_prefix:         /images/badges
            upload_destination: '%kernel.project_dir%/public/images/badges'
            
            inject_on_load:     false
            delete_on_update:   false
            delete_on_remove:   false

        badge_category_image:
            uri_prefix:         /images/badges/category
            upload_destination: '%kernel.project_dir%/public/images/badges/category'
            
            inject_on_load:     false
            delete_on_update:   false
            delete_on_remove:   false

        items_image:
            uri_prefix:         /images/items
            upload_destination: '%kernel.project_dir%/public/images/items'
            
            inject_on_load:     false
            delete_on_update:   false
            delete_on_remove:   false
